# GET /markets

Returns a list of instruments. If `asset` is not specified, the response will include all listed instruments.

`GET https://api.aevo.xyz/markets`

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/markets \
     --header 'accept: application/json'
```

## Responses

**`200`** — List of instruments.

Array of:

| Field                | Type    | Required | Description                                                                    |
| -------------------- | ------- | -------- | ------------------------------------------------------------------------------ |
| `instrument_id`      | string  | Yes      | Instrument ID number. Example: `12`                                            |
| `instrument_name`    | string  | Yes      | Instrument name. Example: `ETH-30JUN23-1600-C`                                 |
| `instrument_type`    | string  | Yes      | Type of instrument. Example: `OPTION`                                          |
| `underlying_asset`   | string  | Yes      | Underlying asset symbol. Example: `ETH`                                        |
| `quote_asset`        | string  | Yes      | Quote asset symbol. Example: `USDC`                                            |
| `price_step`         | string  | Yes      | Allowed increments in price. Example: `0.05`                                   |
| `amount_step`        | string  | Yes      | Allowed increments in contract amount. Example: `0.1`                          |
| `min_order_value`    | string  | Yes      | Minimum allowed order value Example: `0.1`                                     |
| `max_order_value`    | string  | Yes      | Maximum allowed order value Example: `0.1`                                     |
| `max_notional_value` | string  | Yes      | Maximum allowed notional value Example: `0.1`                                  |
| `mark_price`         | string  | Yes      | Mark price of the instrument. Example: `12.23`                                 |
| `forward_price`      | string  | No       | Current forward price of the asset. Example: `12.23`                           |
| `index_price`        | string  | Yes      | Current index price of the asset. Example: `12.23`                             |
| `is_active`          | boolean | Yes      | True if instrument is active and tradable. Example: `true` Example: `True`     |
| `option_type`        | string  | No       | Type of option contract. Example: `call`                                       |
| `expiry`             | string  | No       | Option expiry in UNIX timestamp in nanoseconds. Example: `1680249600000000000` |
| `strike`             | string  | No       | Option strike price. Example: `2500`                                           |
| `greeks`             | object  | No       |                                                                                |
| `max_leverage`       | string  | No       | The maximum leverage multiplier for an instrument. Example: `12`               |

**`400`** — Bad request.

| Field   | Type   | Required | Description                                     |
| ------- | ------ | -------- | ----------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `ERR_MALFORMED_REQUEST` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/urls/public-api/getmarkets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
